CRAN Package Check Results for Package chronicle

Last updated on 2022-01-26 07:52:39 CET.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.3 5.93 74.98 80.91 OK
r-devel-linux-x86_64-debian-gcc 0.3 4.06 54.91 58.97 OK
r-devel-linux-x86_64-fedora-clang 0.3 92.58 NOTE
r-devel-linux-x86_64-fedora-gcc 0.3 82.16 NOTE
r-devel-windows-x86_64-new-UL 0.3 48.00 112.00 160.00 OK
r-devel-windows-x86_64-new-TK 0.3 NOTE
r-patched-linux-x86_64 0.3 3.34 67.33 70.67 OK
r-release-linux-x86_64 0.3 3.18 68.87 72.05 OK
r-release-macos-arm64 0.3 NOTE
r-release-macos-x86_64 0.3 WARN
r-release-windows-ix86+x86_64 0.3 12.00 91.00 103.00 OK
r-oldrel-macos-x86_64 0.3 WARN
r-oldrel-windows-ix86+x86_64 0.3 11.00 87.00 98.00 OK

Check Details

Version: 0.3
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘DT’ ‘dplyr’ ‘prettydoc’ ‘rmdformats’ ‘skimr’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-windows-x86_64-new-TK, r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-x86_64

Version: 0.3
Check: re-building of vignette outputs
Result: WARN
    Error(s) in re-building vignettes:
     ...
    --- re-building ‘chronicle.Rmd’ using rmarkdown
    Warning in engine$weave(file, quiet = quiet, encoding = enc) :
     Pandoc (>= 1.12.3) not available. Falling back to R Markdown v1.
    Loading required package: magrittr
    Quitting from lines 38-67 (chronicle.Rmd)
    Error: processing vignette 'chronicle.Rmd' failed with diagnostics:
    pandoc version 1.12.3 or higher is required and was not found (see the help page ?rmarkdown::pandoc_available).
    --- failed re-building ‘chronicle.Rmd’
    
    SUMMARY: processing the following file failed:
     ‘chronicle.Rmd’
    
    Error: Vignette re-building failed.
    Execution halted
Flavors: r-release-macos-x86_64, r-oldrel-macos-x86_64